Show / Hide Table of Contents

# Class EventContext

Provides context for a received event so that handlers can write events back to the channel.

##### Inheritance

System.Object
EventContext

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class EventContext

### Constructors

| Improve this Doc View Source

#### EventContext()

Parameterless constructor required for mocking

##### Declaration

    public EventContext()

| Improve this Doc View Source

#### EventContext(MessageWriter)

##### Declaration

    public EventContext(MessageWriter messageWriter)

##### Parameters

Type | Name | Description
--- | --- | ---
MessageWriter | messageWriter |

### Methods

| Improve this Doc View Source

#### SendEvent<TParams>(EventType<TParams>, TParams)

##### Declaration

    public Task SendEvent<TParams>(EventType<TParams> eventType, TParams eventParams)

##### Parameters

Type | Name | Description
--- | --- | ---
EventType<TParams> | eventType |
TParams | eventParams |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

##### Type Parameters

Name | Description
--- | ---
TParams |